#ifndef _gamepad_classic_h__
#define _gamepad_classic_h__

/* Big thanks to the authors of 
 *
 * http://wiibrew.org/wiki/Wiimote/Extension_Controllers/Classic_Controller  */

typedef struct _cpad_data {
	unsigned char lx, ly; /* left analog stick */
	unsigned char rx, ry; /* right analog stick */
	unsigned char lt, rt; /* left and right triggers (sliders) */
	unsigned short buttons;
} cpad_data;

#define CPAD_BTN_DPAD_RIGHT	0x8000
#define CPAD_BTN_DPAD_DOWN	0x4000
#define CPAD_BTN_DPAD_LEFT	0x0002
#define CPAD_BTN_DPAD_UP	0x0001

#define CPAD_BTN_MINUS		0x1000
#define CPAD_BTN_HOME		0x0800
#define CPAD_BTN_PLUS		0x0400

#define CPAD_BTN_TRIG_LEFT	0x2000
#define CPAD_BTN_TRIG_RIGHT	0x0200
#define CPAD_BTN_RSVD_HIGH	0x0100

#define CPAD_BTN_B			0x0040
#define CPAD_BTN_Y			0x0020
#define CPAD_BTN_A			0x0010
#define CPAD_BTN_X			0x0008

#define CPAD_BTN_ZL			0x0080
#define CPAD_BTN_ZR			0x0004

#endif
